> For the complete documentation index, see [llms.txt](https://docs.bullmq.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bullmq.io/bullmq-pro/groups/pausing-groups.md).

# Pausing groups

BullMQ Pro supports pausing groups globally. A group is paused when no workers will pick up any jobs that belongs to the paused group. When you pause a group, the workers that are currently busy processing a job from that group, will continue working on that job until it completes (or failed), and then will just keep idling until the group has been resumed.

Pausing a group is performed by calling the `pauseGroup` method on a [`Queue`](https://api.bullmq.pro/classes/v7.QueuePro.html#pausegroup) instance:

```typescript
await myQueue.pauseGroup('groupId');
```

{% hint style="info" %}
Even if the `groupId` does not exist at that time, the `groupId` will be added in our paused list as a group could be ephemeral
{% endhint %}

{% hint style="warning" %}
`pauseGroup` will return `false` if the group is already paused.
{% endhint %}

Resuming a group is performed by calling the `resumeGroup` method on a [`Queue`](https://api.bullmq.pro/classes/v7.QueuePro.html#resumegroup) instance:

```typescript
await myQueue.resumeGroup('groupId');
```

{% hint style="warning" %}
`resumeGroup` will return `false` if the group does not exist or when the group is already resumed.
{% endhint %}

## Read more:

* 💡 [Pause Group API Reference](https://api.bullmq.pro/classes/v7.QueuePro.html#pausegroup)
* 💡 [Resume Group API Reference](https://api.bullmq.pro/classes/v7.QueuePro.html#resumegroup)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bullmq.io/bullmq-pro/groups/pausing-groups.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
